<template>
<div class="list">
<div v-for="(item,index) in datas" :key="index" @click="store(item)" class="item">
    <p class="top">{{item.storeName}}</p>
    <p class="down">{{item.dateInfo}}   {{item.appointmentTime}}</p>
</div>
<v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
</div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  export default {
    data(){
      return{
        flags: false,
        position: { x: 0, y: 0 },
        nx: '', ny: '', dx: '', dy: '', xPum: '', yPum: '',
        nodata:'',
        datas:{},
        unstart:'',
        end:'',
        pendding:'',
        camInList:[],//进行中活动
        camNopList:[],//未开启活动
        camHisList:[],//历史活动
        hintbox: {
          text: "",
          show: false
        },
      }
    },
    components:{
       'v-hintbox' : hintbox
    },
    methods:{
      //可用门店
      store(data){
        config.href(config.customer.detail+'?appointmentId='+data.appointmentId);
      },
      //获取地址信息
          getAjax(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        var data = {
          openId:VerificationCodeEntity.OpenId,
          city:'深圳市'
        };
        VeevlinkClient(
          '/member/appointment/list?openId='+VerificationCodeEntity.OpenId+'&memberId='+memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records){
                that.datas = data.records;
                console.log('datas',that.datas);
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
      
    },
    onLoad(){
      let that = this;
      this.nodata = false;
      this.getAjax();
    }

  }
</script>
<style lang="scss" >
page {
    background:#EAEAEA;
   
}
</style>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.list {
    .item{
        width: 100%;
        height: 1.28rem;
        border-bottom: 1px solid #EAEAEA;
        background:#fff;
        padding-top:0.36rem;
        p{
          margin-left:0.7rem;
        }
        .top{
          font-size:0.28rem;
          color:#333333;
        }
        .down{
          margin-top:0.25rem;
          font-size:0.28rem;
          color:#727171;
        }
    }
   
}
</style>
